# -*- coding: utf-8 -*-
from thx.role.core.permissions import ThxRolePermission


class OrganizationAddressPermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class EmailTypologyPermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class PhoneTypologyPermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class OrganizationTypePermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class OrganizationFormPermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class OrganizationPermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class OwnerOrganizationPermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class OrganizationEmailPermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class OrganizationPhonePermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class OrganizationSocialPagePermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class ContactRolePermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class ContactTitlePermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class ContactPermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class OwnerContactPermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class ContactEmailPermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class ContactPhonePermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False


class ContactSocialAccountPermission(ThxRolePermission):
    def default_has_permission(self, request, view):
        """
        Return `True` if permission is granted, `False` otherwise.
        """
        user = request.user
        profile = view.ar.profile
        if user.is_superuser and profile == 'superuser':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        if user.is_staff and profile == 'staff':
            if view.action in [
                'list', 'retrieve', 'create', 'update', 'partial_update', 'destroy', 'enable', 'disable', 'light',
                'status_choices'
            ]:
                return True
        return False
