# -*- coding: utf-8 -*-
from admin_tools.dashboard import modules
from django.utils.translation import gettext_lazy as _
from thx.swapper.dashboard import handle_dashboard_swapped_model


class DefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _('organization'),
            'display': 'tabs',
            'children': [Models()]
        })
        super().__init__(**kwargs)


class MainDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _('organization'),
            'display': 'tabs',
            'children': [Models()]
        })
        super().__init__(**kwargs)


class Models(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _('main models'),
            'models': [
                'thx.organization.models.organizations.OrganizationAddress',
                'thx.organization.models.organizations.EmailTypology',
                'thx.organization.models.organizations.PhoneTypology',
                'thx.organization.models.organizations.OrganizationType',
                'thx.organization.models.organizations.OrganizationForm',
                'thx.organization.models.organizations.Organization',
                'thx.organization.models.organizations.OrganizationEmail',
                'thx.organization.models.organizations.OrganizationPhone',
                'thx.organization.models.organizations.OrganizationSocialPage',
                'thx.organization.models.OwnerOrganization',
                'thx.organization.models.contacts.ContactRole',
                'thx.organization.models.contacts.ContactTitle',
                'thx.organization.models.contacts.Contact',
                'thx.organization.models.contacts.ContactEmail',
                'thx.organization.models.contacts.ContactPhone',
                'thx.organization.models.contacts.ContactSocialAccount',
                'thx.organization.models.OwnerContact',
            ],
        })
        handle_dashboard_swapped_model(
            'organization', 'Contact', 'thx.organization.models.contacts.Contact', kwargs
        )
        handle_dashboard_swapped_model(
            'organization', 'Organization', 'thx.organization.models.organizations.Organization', kwargs
        )
        super().__init__(**kwargs)
