# -*- coding: utf-8 -*-
from django.utils.translation import gettext_lazy as _
from thx.swapper.jmenu import handle_jmenu_add_entry_swapped_model, handle_jmenu_list_entry_swapped_model

children = []
models = [
    {'model_name': 'organizationaddress',
     'model_label': _('organization address'),
     'model_label_plural': _('organization addresses')},
    {'model_name': 'emailtypology', 'model_label': _('email typology'), 'model_label_plural': _('email typologies')},
    {'model_name': 'phonetypology', 'model_label': _('phone typology'), 'model_label_plural': _('phone typologies')},
    {'model_name': 'organizationtype',
     'model_label': _('organization type'),
     'model_label_plural': _('organization types')},
    {'model_name': 'organizationform',
     'model_label': _('organization form'),
     'model_label_plural': _('organization forms')},
    {'model_name': 'organization', 'model_label': _('organization'), 'model_label_plural': _('organizations')},
    {'model_name': 'ownerorganization',
     'model_label': _('owner organization'),
     'model_label_plural': _('owner organizations')},
    {'model_name': 'organizationemail',
     'model_label': _('organization email'),
     'model_label_plural': _('organization emails')},
    {'model_name': 'organizationphone',
     'model_label': _('organization phone'),
     'model_label_plural': _('organization phones')},
    {'model_name': 'organizationsocialpage',
     'model_label': _('organization social page'),
     'model_label_plural': _('organization social pages')},
    {'model_name': 'contactrole', 'model_label': _('contact role'), 'model_label_plural': _('contact roles')},
    {'model_name': 'contacttitle', 'model_label': _('contact title'), 'model_label_plural': _('contact titles')},
    {'model_name': 'contact', 'model_label': _('contact'), 'model_label_plural': _('contacts')},
    {'model_name': 'ownercontact', 'model_label': _('owner contact'), 'model_label_plural': _('owner contacts')},
    {'model_name': 'contactemail', 'model_label': _('contact email'), 'model_label_plural': _('contact emails')},
    {'model_name': 'contactphone', 'model_label': _('contact phone'), 'model_label_plural': _('contact phones')},
    {'model_name': 'contactsocialaccount',
     'model_label': _('contact social account'),
     'model_label_plural': _('contact social accounts')},
]

for model in models:
    add_entry = {
        "title": _("add {}").format(model['model_label']),
        "url_name": f"admin:organization_{model['model_name']}_add",
        "perms": [f"organization.add_{model['model_name']}"],
    }
    handle_jmenu_add_entry_swapped_model("organization", model, add_entry)
    children.append(add_entry)
    list_entry = {
        "title": _("list {}").format(model['model_label_plural']),
        "url_name": f"admin:organization_{model['model_name']}_changelist",
        "perms": [
            f"organization.view_{model['model_name']}",
            f"organization.change_{model['model_name']}"
        ],
    }
    handle_jmenu_list_entry_swapped_model("organization", model, list_entry)
    children.append(list_entry)

menu_items = [{
    'title': _('organization'),
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'organization'}},
    'perms': ['organization.*'],
    'children': children
}]
