# Generated by Django 3.2.20 on 2023-07-13 15:42

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('address', '0003_auto_20230222_1125'),
        ('l10n', '0002_auto_20221202_2219'),
        ('carriage', '0002_auto_20210614_1111'),
        ('vat', '0002_auto_20210614_1111'),
        ('payment', '0002_auto_20210614_1111'),
        ('office', '0003_alter_area_default_info'),
        ('currency', '0002_auto_20210614_1111'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='EmailTypology',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=255, unique=True, verbose_name='code')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='name')),
                ('slug', models.SlugField(max_length=255, unique=True, verbose_name='slug')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_emailtypology_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_emailtypology_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'email typology',
                'verbose_name_plural': 'email typologies',
                'ordering': ('ordering', 'name'),
                'permissions': (('list_emailtypology', 'Can list email typology'), ('detail_emailtypology', 'Can detail email typology'), ('enable_emailtypology', 'Can enable email typology'), ('disable_emailtypology', 'Can disable email typology')),
            },
        ),
        migrations.CreateModel(
            name='PhoneTypology',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=255, unique=True, verbose_name='code')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='name')),
                ('slug', models.SlugField(max_length=255, unique=True, verbose_name='slug')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_phonetypology_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_phonetypology_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'phone typology',
                'verbose_name_plural': 'phone typologies',
                'ordering': ('ordering', 'name'),
                'permissions': (('list_phonetypology', 'Can list phone typology'), ('detail_phonetypology', 'Can detail phone typology'), ('enable_phonetypology', 'Can enable phone typology'), ('disable_phonetypology', 'Can disable phone typology')),
            },
        ),
        migrations.CreateModel(
            name='OrganizationType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=50, verbose_name='code')),
                ('category', models.CharField(choices=[('com', 'owner company')], db_index=True, max_length=3, verbose_name='category')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='name')),
                ('description', models.TextField(blank=True, verbose_name='description')),
                ('note', models.TextField(blank=True, verbose_name='note')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_organizationtype_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_organizationtype_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'organization type',
                'verbose_name_plural': 'organization types',
                'ordering': ('ordering', 'name'),
                'permissions': (('list_organizationtype', 'Can list organization type'), ('detail_organizationtype', 'Can detail organization type'), ('enable_organizationtype', 'Can enable organization type'), ('disable_organizationtype', 'Can disable organization type')),
            },
        ),
        migrations.CreateModel(
            name='OrganizationSocialPage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('social', models.CharField(choices=[('facebook', 'Facebook'), ('linkedin', 'LinkedIn'), ('google+', 'Google+')], db_index=True, max_length=255, verbose_name='social')),
                ('link', models.URLField(unique=True, verbose_name='page link')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_organizationsocialpage_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_organizationsocialpage_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'organization social page',
                'verbose_name_plural': 'organization social pages',
                'ordering': ('ordering', 'link'),
                'permissions': (('list_organizationsocialpage', 'Can list organization social page'), ('detail_organizationsocialpage', 'Can detail organization social page'), ('enable_organizationsocialpage', 'Can enable organization social page'), ('disable_organizationsocialpage', 'Can disable organization social page')),
            },
        ),
        migrations.CreateModel(
            name='OrganizationPhone',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('phone', models.CharField(max_length=20, unique=True, verbose_name='phone')),
                ('is_primary', models.BooleanField(default=False, verbose_name='is primary')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_organizationphone_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_organizationphone_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
                ('typology', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_phones', to='organization.phonetypology', verbose_name='typology')),
            ],
            options={
                'verbose_name': 'organization phone',
                'verbose_name_plural': 'organization phones',
                'permissions': (('list_organizationphone', 'Can list organization phone'), ('detail_organizationphone', 'Can detail organization phone'), ('enable_organizationphone', 'Can enable organization phone'), ('disable_organizationphone', 'Can disable organization phone')),
            },
        ),
        migrations.CreateModel(
            name='OrganizationForm',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=50, unique=True, verbose_name='code')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='name')),
                ('description', models.TextField(blank=True, verbose_name='description')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_organizationform_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_organizationform_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'organization form',
                'verbose_name_plural': 'organization forms',
                'ordering': ('ordering', 'name'),
                'permissions': (('list_organizationform', 'Can list organization form'), ('detail_organizationform', 'Can detail organization form'), ('disable_organizationform', 'Can disable organization form')),
            },
        ),
        migrations.CreateModel(
            name='OrganizationEmail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('email', models.EmailField(max_length=255, unique=True, verbose_name='email')),
                ('is_primary', models.BooleanField(default=False, verbose_name='is primary')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_organizationemail_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_organizationemail_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
                ('typology', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_emails', to='organization.emailtypology', verbose_name='typology')),
            ],
            options={
                'verbose_name': 'organization email',
                'verbose_name_plural': 'organization emails',
                'ordering': ('ordering', 'email'),
                'permissions': (('list_organizationemail', 'Can list organization email'), ('detail_organizationemail', 'Can detail organization email'), ('enable_organizationemail', 'Can enable organization email'), ('disable_organizationemail', 'Can disable organization email')),
            },
        ),
        migrations.CreateModel(
            name='OrganizationAddress',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('address_type', models.IntegerField(blank=True, choices=[(1, 'Corso'), (2, 'Largo'), (3, 'Località'), (4, 'Piazza'), (5, 'Strada/Stretto'), (6, 'Traversa'), (7, 'Via'), (8, 'Viale'), (9, 'Vicolo/Vico'), (10, 'Circonvallazione'), (11, 'Frazione'), (12, 'Rione'), (13, 'Salita'), (14, 'Contrada'), (15, 'Statale'), (16, 'Autostrada'), (17, 'Cascina'), (18, 'Parco'), (19, 'Spalto'), (20, 'Tangenziale'), (21, 'Zona industriale'), (22, 'Borgo'), (23, 'Galleria'), (24, 'Piazzale'), (25, 'Corte'), (26, 'Centro'), (27, 'Foro'), (28, 'Lungo/Lungomare'), (29, 'Calle'), (30, 'Riviera'), (31, 'Villaggio'), (32, 'Passaggio'), (33, 'Borgata'), (34, 'Lungolago')], db_index=True, default=7, null=True, verbose_name='address type')),
                ('name', models.CharField(db_index=True, max_length=100, verbose_name='name')),
                ('number', models.CharField(blank=True, db_column='a_number', max_length=20, verbose_name='number')),
                ('crossed', models.CharField(blank=True, max_length=5, verbose_name='crossed')),
                ('scale', models.CharField(blank=True, max_length=5, verbose_name='scale')),
                ('floor', models.CharField(blank=True, max_length=3, verbose_name='floor')),
                ('zip_code', models.CharField(blank=True, db_index=True, max_length=20, verbose_name='ZIP code')),
                ('locality', models.CharField(blank=True, db_index=True, max_length=100, verbose_name='locality')),
                ('province', models.CharField(blank=True, db_index=True, max_length=3, verbose_name='province')),
                ('post_office', models.CharField(blank=True, max_length=10, verbose_name='post office')),
                ('lat', models.DecimalField(blank=True, decimal_places=17, max_digits=20, null=True, verbose_name='latitude')),
                ('lng', models.DecimalField(blank=True, decimal_places=17, max_digits=20, null=True, verbose_name='longitude')),
                ('org_name', models.CharField(blank=True, db_index=True, max_length=255, verbose_name='organization name')),
                ('note', models.TextField(blank=True, null=True, verbose_name='note')),
                ('address_scopes', models.ManyToManyField(db_index=True, to='address.AddressScope', verbose_name='address scopes')),
                ('administrative_area', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='l10n.administrativearea', verbose_name='administrative area')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='l10n.country', verbose_name='country')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_organizationaddress_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_organizationaddress_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'organization address',
                'verbose_name_plural': 'organization addresses',
                'ordering': ('ordering', 'org_name'),
                'permissions': (('list_organizationaddress', 'Can list organization address'), ('detail_organizationaddress', 'Can detail organization address'), ('enable_organizationaddress', 'Can enable organization address'), ('disable_organizationaddress', 'Can disable organization address')),
            },
        ),
        migrations.CreateModel(
            name='ContactRole',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=50, unique=True, verbose_name='code')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='name')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_contactrole_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_contactrole_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'contact role',
                'verbose_name_plural': 'contact roles',
                'ordering': ('ordering', 'name'),
                'permissions': (('list_contactrole', 'Can list contact role'), ('detail_contactrole', 'Can detail contact role'), ('enable_contactrole', 'Can enable contact role'), ('disable_contactrole', 'Can disable contact role')),
            },
        ),
        migrations.CreateModel(
            name='ContactPhone',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('phone', models.CharField(max_length=20, verbose_name='phone')),
                ('is_primary', models.BooleanField(default=False, verbose_name='is primary')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_contactphone_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_contactphone_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
                ('typology', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='contact_phones', to='organization.phonetypology', verbose_name='typology')),
            ],
            options={
                'verbose_name': 'contact phone',
                'verbose_name_plural': 'contact phones',
                'ordering': ('ordering', 'phone'),
                'permissions': (('list_contactphone', 'Can list contact phone'), ('detail_contactphone', 'Can detail contact phone'), ('enable_contactphone', 'Can enable contact phone'), ('disable_contactphone', 'Can disable contact phone')),
            },
        ),
        migrations.CreateModel(
            name='ContactEmail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('email', models.EmailField(max_length=255, verbose_name='email')),
                ('is_primary', models.BooleanField(default=False, verbose_name='is primary')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_contactemail_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_contactemail_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
                ('typology', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='contact_emails', to='organization.emailtypology', verbose_name='typology')),
            ],
            options={
                'verbose_name': 'contact email',
                'verbose_name_plural': 'contact emails',
                'ordering': ('ordering', 'email'),
                'permissions': (('list_contactemail', 'Can list contact email'), ('detail_contactemail', 'Can detail contact email'), ('enable_contactemail', 'Can enable contact email'), ('disable_contactemail', 'Can disable contact email')),
            },
        ),
        migrations.CreateModel(
            name='ContactTitle',
            fields=[
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=50, primary_key=True, serialize=False, verbose_name='code')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='name')),
                ('abbreviation', models.CharField(blank=True, max_length=10, verbose_name='abbreviation')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_contacttitle_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_contacttitle_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'contact title',
                'verbose_name_plural': 'contact titles',
                'ordering': ('ordering', 'name'),
                'permissions': (('list_contacttitle', 'Can list contact title'), ('detail_contacttitle', 'Can detail contact title'), ('enable_contacttitle', 'Can enable contact title'), ('disable_contacttitle', 'Can disable contact title')),
                'unique_together': {('name', 'abbreviation')},
            },
        ),
        migrations.CreateModel(
            name='ContactSocialAccount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('social', models.CharField(choices=[('facebook', 'Facebook'), ('linkedin', 'LinkedIn'), ('google+', 'Google+')], db_index=True, max_length=255, verbose_name='social')),
                ('account', models.CharField(max_length=255, verbose_name='account')),
                ('is_primary', models.BooleanField(default=False, verbose_name='is primary')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_contactsocialaccount_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='organization_contactsocialaccount_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'contact social account',
                'verbose_name_plural': 'contact social accounts',
                'ordering': ('ordering', 'account'),
                'permissions': (('list_contactsocialaccount', 'Can list contact social account'), ('detail_contactsocialaccount', 'Can detail contact social account'), ('enable_contactsocialaccount', 'Can enable contact social account'), ('disable_contactsocialaccount', 'Can disable contact social account')),
                'unique_together': {('social', 'account')},
            },
        ),
    ]
