# Generated by Django 3.2.20 on 2023-07-13 15:44
import swapper
from django.db import migrations, models

import thx.organization.models.abstracts


class Migration(migrations.Migration):

    dependencies = [
        ('organization', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=50, unique=True, verbose_name='code')),
                ('last_name', models.CharField(max_length=255, verbose_name='last name')),
                ('first_name', models.CharField(max_length=255, verbose_name='first name')),
                ('email', models.EmailField(max_length=254, verbose_name='email')),
                ('mistakes', models.PositiveIntegerField(default=0, verbose_name='mistakes')),
                ('agree_privacy', models.BooleanField(default=False, verbose_name='agree privacy')),
                ('agree_terms', models.BooleanField(default=False, verbose_name='agree terms')),
                ('agree_advertising', models.BooleanField(default=False, verbose_name='agree advertising material')),
                ('avatar', models.ImageField(blank=True, null=True, upload_to=thx.organization.models.abstracts.get_upload_avatar_path, verbose_name='avatar')),
                ('mail_profile_not_completed_sent', models.BooleanField(default=False, verbose_name='mail profile not completed sent')),
                ('is_superuser', models.BooleanField(default=False, verbose_name='is superuser')),
                ('is_staff', models.BooleanField(default=False, verbose_name='is staff')),
                ('note', models.TextField(blank=True, verbose_name='note')),
            ],
            options={
                'verbose_name': 'contact',
                'verbose_name_plural': 'contacts',
                'ordering': ('ordering', 'user__last_name', 'user__first_name'),
                'permissions': (('list_contact', 'Can list contact'), ('detail_contact', 'Can detail contact'), ('enable_contact', 'Can enable contact'), ('disable_contact', 'Can disable contact')),
                'swappable': swapper.swappable_setting('organization', 'Contact'),
            },
        ),
        migrations.CreateModel(
            name='Organization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=50, verbose_name='code')),
                ('name', models.CharField(db_index=True, max_length=255, verbose_name='name')),
                ('brand', models.CharField(blank=True, db_index=True, max_length=255, verbose_name='brand')),
                ('ssn', models.CharField(blank=True, db_index=True, max_length=16, null=True, verbose_name='ssn')),
                ('vat_number', models.CharField(blank=True, db_index=True, max_length=14, null=True, verbose_name='vat number')),
                ('sdi', models.CharField(blank=True, max_length=7, null=True, verbose_name='SDI')),
                ('url', models.URLField(blank=True, max_length=100, null=True, verbose_name='url')),
                ('email', models.EmailField(blank=True, max_length=100, null=True, verbose_name='email')),
                ('phone', models.CharField(blank=True, max_length=20, null=True, verbose_name='phone')),
                ('phone2', models.CharField(blank=True, max_length=20, null=True, verbose_name='phone2')),
                ('fax', models.CharField(blank=True, max_length=20, null=True, verbose_name='fax')),
                ('note', models.TextField(blank=True, verbose_name='note')),
            ],
            options={
                'verbose_name': 'organization',
                'verbose_name_plural': 'organizations',
                'ordering': ('ordering', 'name'),
                'permissions': (('list_organization', 'Can list organization'), ('detail_organization', 'Can detail organization'), ('enable_organization', 'Can enable organization'), ('disable_organization', 'Can disable organization')),
                'swappable': swapper.swappable_setting('organization', 'Organization'),
            },
        ),
    ]
