# Generated by Django 3.2.20 on 2023-07-13 15:44
import django.db.models.deletion
import swapper
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('currency', '0002_auto_20210614_1111'),
        ('organization', '0002_contact_organization'),
        ('carriage', '0002_auto_20210614_1111'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        swapper.dependency('organization', 'Organization'),
        swapper.dependency('organization', 'Contact'),
        ('vat', '0002_auto_20210614_1111'),
        ('office', '0003_alter_area_default_info'),
        ('payment', '0002_auto_20210614_1111'),
        ('i18n', '0003_auto_20230220_1529'),
    ]

    operations = [
        migrations.AddField(
            model_name='contactemail',
            name='contact',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, related_name='emails',
                                    to=swapper.get_model_name('organization', 'Contact'), verbose_name='contact'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='contactphone',
            name='contact',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, related_name='phones',
                                    to=swapper.get_model_name('organization', 'Contact'), verbose_name='contact'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='contactsocialaccount',
            name='contact',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, related_name='accounts',
                                    to=swapper.get_model_name('organization', 'Contact'), verbose_name='contact'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='organizationaddress',
            name='organization',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, related_name='addresses',
                                    to=swapper.get_model_name('organization', 'Organization'), verbose_name='organization'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='organizationemail',
            name='organization',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, related_name='emails',
                                    to=swapper.get_model_name('organization', 'Organization'),
                                    verbose_name='organization'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='organizationphone',
            name='organization',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, related_name='phones',
                                    to=swapper.get_model_name('organization', 'Organization'),
                                    verbose_name='organization'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='organizationsocialpage',
            name='organization',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, related_name='social_pages',
                                    to=swapper.get_model_name('organization', 'Organization'),
                                    verbose_name='organization'),
            preserve_default=False,
        ),
        migrations.AlterUniqueTogether(
            name='contactemail',
            unique_together={('contact', 'email')},
        ),
        migrations.AlterUniqueTogether(
            name='contactphone',
            unique_together={('contact', 'phone')},
        ),
        migrations.AddField(
            model_name='organization',
            name='creator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT,
                                    related_name='organization_organization_creator', to=settings.AUTH_USER_MODEL,
                                    verbose_name='creator'),
        ),
        migrations.AddField(
            model_name='organization',
            name='currency',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT,
                                    related_name='organizations', to='currency.currency', verbose_name='currency'),
        ),
        migrations.AddField(
            model_name='organization',
            name='delivery',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT,
                                    related_name='organizations', to='carriage.delivery', verbose_name='delivery'),
        ),
        migrations.AddField(
            model_name='organization',
            name='last_modifier',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT,
                                    related_name='organization_organization_last_modifier', to=settings.AUTH_USER_MODEL,
                                    verbose_name='last modifier'),
        ),
        migrations.AddField(
            model_name='organization',
            name='office',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT,
                                    related_name='organizations', to='office.office', verbose_name='office'),
        ),
        migrations.AddField(
            model_name='organization',
            name='organization_form',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT,
                                    related_name='organizations', to='organization.organizationform',
                                    verbose_name='organization form'),
        ),
        migrations.AddField(
            model_name='organization',
            name='organization_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT,
                                    related_name='organizations', to='organization.organizationtype',
                                    verbose_name='organization type'),
        ),
        migrations.AddField(
            model_name='organization',
            name='payment_form',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT,
                                    related_name='organizations', to='payment.paymentform',
                                    verbose_name='payment form'),
        ),
        migrations.AddField(
            model_name='organization',
            name='vat',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT,
                                    related_name='organizations', to='vat.vat', verbose_name='vat'),
        ),
        migrations.AddField(
            model_name='contact',
            name='creator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT,
                                    related_name='organization_contact_creator', to=settings.AUTH_USER_MODEL,
                                    verbose_name='creator'),
        ),
        migrations.AddField(
            model_name='contact',
            name='language',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT,
                                    related_name='contacts', to='i18n.language', verbose_name='language'),
        ),
        migrations.AddField(
            model_name='contact',
            name='last_modifier',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT,
                                    related_name='organization_contact_last_modifier', to=settings.AUTH_USER_MODEL,
                                    verbose_name='last modifier'),
        ),
        migrations.AddField(
            model_name='contact',
            name='organization',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT,
                                    related_name='contacts', to=settings.ORGANIZATION_ORGANIZATION_MODEL,
                                    verbose_name='organization'),
        ),
        migrations.AddField(
            model_name='contact',
            name='roles',
            field=models.ManyToManyField(blank=True, related_name='contacts', to='organization.ContactRole',
                                         verbose_name='roles'),
        ),
        migrations.AddField(
            model_name='contact',
            name='title',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT,
                                    related_name='contacts', to='organization.contacttitle', verbose_name='title'),
        ),
        migrations.AddField(
            model_name='contact',
            name='user',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT,
                                       related_name='contact', to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
    ]
